Bug 442225 - firewire card reader spew.
firewire card reader spew.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Jarod Wilson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-12 19:43 EDT by Dave Jones
Modified: 2015-01-04 17:30 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 14:03:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Jones 2008-04-12 19:43:32 EDT
I can mount a CF card in my sandisk extreme reader just fine, though dmesg is
filled with this, just from mounting it..

firewire_core: created device fw1: GUID 0030ff00e0016828, S400, 10 config ROM
retries
firewire_core: phy config: card 0, new root=ffc0, gap_count=5
scsi12 : SBP-2 IEEE-1394
firewire_sbp2: fw1.0: logged in to LUN 0000 (0 retries)
scsi 12:0:0:0: Direct-Access     SanDisk  SDCFX4-4096      HDX  PQ: 0 ANSI: 4
sd 12:0:0:0: [sdi] 8027712 512-byte hardware sectors (4110 MB)
sd 12:0:0:0: [sdi] Write Protect is off
sd 12:0:0:0: [sdi] Mode Sense: 11 00 00 00
sd 12:0:0:0: [sdi] Cache data unavailable
sd 12:0:0:0: [sdi] Assuming drive cache: write through
sd 12:0:0:0: ioctl_internal_command return code = 8000002
   : Sense Key : Aborted Command [current] 
   : Add. Sense: No additional sense information
sd 12:0:0:0: [sdi] 8027712 512-byte hardware sectors (4110 MB)
sd 12:0:0:0: [sdi] Write Protect is off
sd 12:0:0:0: [sdi] Mode Sense: 11 00 00 00
sd 12:0:0:0: [sdi] Cache data unavailable
sd 12:0:0:0: [sdi] Assuming drive cache: write through
 sdi: sdi1
sd 12:0:0:0: [sdi] Attached SCSI removable disk
sd 12:0:0:0: Attached scsi generic sg9 type 0
sd 12:0:0:0: ioctl_internal_command return code = 8000002
   : Sense Key : Aborted Command [current] 
   : Add. Sense: No additional sense information
sd 12:0:0:0: ioctl_internal_command return code = 8000002
   : Sense Key : Aborted Command [current] 
   : Add. Sense: No additional sense information
sd 12:0:0:0: ioctl_internal_command return code = 8000002
   : Sense Key : Aborted Command [current] 
   : Add. Sense: No additional sense information
sd 12:0:0:0: ioctl_internal_command return code = 8000002
   : Sense Key : Aborted Command [current] 
   : Add. Sense: No additional sense information
sd 12:0:0:0: ioctl_internal_command return code = 8000002
   : Sense Key : Aborted Command [current] 
   : Add. Sense: No additional sense information
sd 12:0:0:0: ioctl_internal_command return code = 8000002
   : Sense Key : Aborted Command [current] 
   : Add. Sense: No additional sense information
sd 12:0:0:0: ioctl_internal_command return code = 8000002
   : Sense Key : Aborted Command [current] 
   : Add. Sense: No additional sense information
sd 12:0:0:0: ioctl_internal_command return code = 8000002
   : Sense Key : Aborted Command [current] 
   : Add. Sense: No additional sense information
sd 12:0:0:0: ioctl_internal_command return code = 8000002
   : Sense Key : Aborted Command [current] 
   : Add. Sense: No additional sense information
sd 12:0:0:0: ioctl_internal_command return code = 8000002
   : Sense Key : Aborted Command [current] 
   : Add. Sense: No additional sense information
sd 12:0:0:0: ioctl_internal_command return code = 8000002
   : Sense Key : Aborted Command [current] 
   : Add. Sense: No additional sense information
sd 12:0:0:0: ioctl_internal_command return code = 8000002
   : Sense Key : Aborted Command [current] 
   : Add. Sense: No additional sense information
sd 12:0:0:0: ioctl_internal_command return code = 8000002
   : Sense Key : Aborted Command [current] 
   : Add. Sense: No additional sense information
sd 12:0:0:0: ioctl_internal_command return code = 8000002
   : Sense Key : Aborted Command [current] 
   : Add. Sense: No additional sense information
sd 12:0:0:0: ioctl_internal_command return code = 8000002
   : Sense Key : Aborted Command [current] 
   : Add. Sense: No additional sense information
sd 12:0:0:0: ioctl_internal_command return code = 8000002
   : Sense Key : Aborted Command [current] 
   : Add. Sense: No additional sense information
sd 12:0:0:0: ioctl_internal_command return code = 8000002
   : Sense Key : Aborted Command [current] 
   : Add. Sense: No additional sense information
sd 12:0:0:0: ioctl_internal_command return code = 8000002
   : Sense Key : Aborted Command [current] 
   : Add. Sense: No additional sense information
sd 12:0:0:0: ioctl_internal_command return code = 8000002
   : Sense Key : Aborted Command [current] 
   : Add. Sense: No additional sense information
sd 12:0:0:0: ioctl_internal_command return code = 8000002
   : Sense Key : Aborted Command [current] 
   : Add. Sense: No additional sense information
SELinux: initialized (dev sdi1, type vfat), uses genfs_contexts
Comment 1 Jarod Wilson 2008-04-12 22:06:49 EDT
Yuk. Very first interesting thing is that we took 10 retries to read the config
rom... Not a great start, then the ensuing scsi layer spew... What firewire
controller is that with? Lemme at that thing... :)
Comment 2 Jarod Wilson 2008-04-12 22:12:34 EDT
Also, what sort of cabling setup ya got there? The reader I swiped from krh has
a FW800 port on it, while your log says FW400 speed, so I'm wondering if you
have a different model, or an adapter in play (though it should work just fine
w/an adapter too).
Comment 3 Dave Jones 2008-04-13 18:16:29 EDT
05:04.0 FireWire (IEEE 1394): Texas Instruments TSB43AB23 IEEE-1394a-2000
Controller (PHY/Link)

cable has an end like this. http://en.wikipedia.org/wiki/Image:Firewire800plug.jpg

regular 6pin http://en.wikipedia.org/wiki/Image:Firewire6-pin.jpg on the other end.
Comment 4 Jarod Wilson 2008-04-13 19:06:42 EDT
Okay, in that case, it probably is indeed the same reader. Prodding it is on my
todo list for tomorrow. I presume you're certain the CF card itself is fine.
Comment 5 Dave Jones 2008-04-14 01:51:00 EDT
yeah, no probs at all with the card.  I've pulled photos off of it in both OSX
and Linux.  Like I said above, it's just noisy.
Comment 6 Jarod Wilson 2008-04-14 10:46:40 EDT
Ah, I saw that you'd been able to mount it, but I'd assumed there were I/O
problems after that. So no problems, just noisy... Hrm. The only flash media
I've got handy is an old 64M card, which emits zero spew mounting, reading or
writing. I don't suppose you have other media you could check to see if they
spew as well? I'm wondering if this could actually be a SCSI layer issue with
that 4G card...


scsi9 : SBP-2 IEEE-1394
firewire_core: created device fw3: GUID 0030ff00e000e88f, S800, 3 config ROM retries
firewire_sbp2: fw3.0: logged in to LUN 0000 (0 retries)
scsi 9:0:0:0: Direct-Access     SanDisk  SDCFB-64         HDB  PQ: 0 ANSI: 4
sd 9:0:0:0: [sdc] 125440 512-byte hardware sectors (64 MB)
sd 9:0:0:0: [sdc] Write Protect is off
sd 9:0:0:0: [sdc] Mode Sense: 11 00 00 00
sd 9:0:0:0: [sdc] Cache data unavailable
sd 9:0:0:0: [sdc] Assuming drive cache: write through
sd 9:0:0:0: [sdc] 125440 512-byte hardware sectors (64 MB)
sd 9:0:0:0: [sdc] Write Protect is off
sd 9:0:0:0: [sdc] Mode Sense: 11 00 00 00
sd 9:0:0:0: [sdc] Cache data unavailable
sd 9:0:0:0: [sdc] Assuming drive cache: write through
 sdc: sdc1
sd 9:0:0:0: [sdc] Attached SCSI removable disk
sd 9:0:0:0: Attached scsi generic sg3 type 0
Comment 7 Stefan Richter 2008-04-16 05:02:20 EDT
Maybe there are differences between Dave's and Jarod's userspace.  (I have no
idea what the ioctl is supposed to do, why it fails, and who sent it.)

The >0 config ROM retries could be normal or be caused by problems on the bus. 
"echo -1 > /sys/module/firewire_ohci/parameters/debug", then plugging in the
card reader, will show more about how the config ROM is read.
Comment 8 Dave Jones 2008-04-24 14:52:55 EDT
interestingly, I get the

sd 11:0:0:0: ioctl_internal_command return code = 8000002
   : Sense Key : Aborted Command [current] 
   : Add. Sense: No additional sense information

about once a second, even after I've unmounted the card, and there's no IO
pending.  I wonder if this is hal poking it in some way to see if the media has
changed ?

somewhat worrying, after I'd umounted, and forgotten to remove the card (and
hence had the above message in dmesg a few hundred times), I pulled the card
out, and got this..

firewire_core: phy config: card 0, new root=ffc1, gap_count=5
firewire_core: phy config: card 0, new root=ffc1, gap_count=5
firewire_core: giving up on refresh of device fw1
firewire_sbp2: released fw1.0
scsi 11:0:0:0: rejecting I/O to dead device
scsi 11:0:0:0: rejecting I/O to dead device
scsi 11:0:0:0: rejecting I/O to dead device
scsi 11:0:0:0: rejecting I/O to dead device
scsi 11:0:0:0: [sdi] READ CAPACITY failed
scsi 11:0:0:0: [sdi] Result: hostbyte=DID_NO_CONNECT driverbyte=DRIVER_OK,SUGGEST_OK
scsi 11:0:0:0: [sdi] Sense not available.
scsi 11:0:0:0: rejecting I/O to dead device
scsi 11:0:0:0: [sdi] Write Protect is off
scsi 11:0:0:0: [sdi] Mode Sense: 00 00 00 00
scsi 11:0:0:0: rejecting I/O to dead device
scsi 11:0:0:0: [sdi] Asking for cache data failed
scsi 11:0:0:0: [sdi] Assuming drive cache: write through
scsi 11:0:0:0: rejecting I/O to dead device
scsi 11:0:0:0: rejecting I/O to dead device
scsi 11:0:0:0: rejecting I/O to dead device
scsi 11:0:0:0: rejecting I/O to dead device
scsi 11:0:0:0: rejecting I/O to dead device
scsi 11:0:0:0: [sdi] READ CAPACITY failed
scsi 11:0:0:0: [sdi] Result: hostbyte=DID_NO_CONNECT driverbyte=DRIVER_OK,SUGGEST_OK
scsi 11:0:0:0: [sdi] Sense not available.
scsi 11:0:0:0: rejecting I/O to dead device
scsi 11:0:0:0: [sdi] Write Protect is off
scsi 11:0:0:0: [sdi] Mode Sense: 00 00 00 00
scsi 11:0:0:0: rejecting I/O to dead device
scsi 11:0:0:0: [sdi] Asking for cache data failed
scsi 11:0:0:0: [sdi] Assuming drive cache: write through
scsi 11:0:0:0: rejecting I/O to dead device
Comment 9 Stefan Richter 2008-04-24 15:45:15 EDT
> I wonder if this is hal poking it in some way to see if the media has
> changed ?

"/etc/init.d/hald stop" or something like it should narrow it down a bit.

> firewire_core: giving up on refresh of device fw1

This is apparently the device's crude way to say that its medium is gone.  There
are more elegant methods, but it doesn't matter.

> firewire_sbp2: released fw1.0
> scsi 11:0:0:0: rejecting I/O to dead device

Astonishing.  The "released" message comes after scsi_remove_device and
scsi_remove_host (in the sources which I have here but are probably like what
you are running).

Was there possibly another Scsi_Host instance which was not yet released?

Is it CompactFlash only or are there other card slots in it too?
Comment 10 Dave Jones 2008-04-24 16:13:18 EDT
ok, with no hal running, an insert/removal of the card looks like this..

firewire_core: phy config: card 0, new root=ffc1, gap_count=5
scsi13 : SBP-2 IEEE-1394
firewire_core: created device fw1: GUID 0030ff00e0016828, S400
firewire_sbp2: fw1.0: logged in to LUN 0000 (0 retries)
scsi 13:0:0:0: Direct-Access     SanDisk  SDCFX4-4096      HDX  PQ: 0 ANSI: 4
sd 13:0:0:0: [sdi] 8027712 512-byte hardware sectors (4110 MB)
sd 13:0:0:0: [sdi] Write Protect is off
sd 13:0:0:0: [sdi] Mode Sense: 11 00 00 00
sd 13:0:0:0: [sdi] Cache data unavailable
sd 13:0:0:0: [sdi] Assuming drive cache: write through
sd 13:0:0:0: ioctl_internal_command return code = 8000002
   : Sense Key : Aborted Command [current] 
   : Add. Sense: No additional sense information
sd 13:0:0:0: [sdi] 8027712 512-byte hardware sectors (4110 MB)
sd 13:0:0:0: [sdi] Write Protect is off
sd 13:0:0:0: [sdi] Mode Sense: 11 00 00 00
sd 13:0:0:0: [sdi] Cache data unavailable
sd 13:0:0:0: [sdi] Assuming drive cache: write through
 sdi: sdi1
sd 13:0:0:0: [sdi] Attached SCSI removable disk
sd 13:0:0:0: Attached scsi generic sg9 type 0
sd 13:0:0:0: ioctl_internal_command return code = 8000002
   : Sense Key : Aborted Command [current] 
   : Add. Sense: No additional sense information
firewire_core: phy config: card 0, new root=ffc1, gap_count=5
firewire_core: phy config: card 0, new root=ffc1, gap_count=5
firewire_core: giving up on refresh of device fw1
firewire_sbp2: released fw1.0


It's CF only, and there are no other similar devices.
Comment 11 Stefan Richter 2008-04-24 16:29:07 EDT
>  ok, with no hal running, an insert/removal of the card looks like this..

Aha!  Hal, the meddler!

Since you got shost 13 in comment #10, was the release message in comment #8 by
chance for shost 12, not shost 11?  Of course there should have been also a
release message for shost 11 at some point.  Hmm, I think I will add the shost
ID to fw-sbp2's release message.
Comment 12 Dave Jones 2008-04-24 16:47:27 EDT
I don't think so.  As there's only one fw device, they should all be in
sequential acquire/release order.

I didn't include #12, as it was pretty much the same spew as #11.   I just
wanted to test again to be sure I could reproduce it on demand.
Comment 13 Stefan Richter 2008-04-24 17:00:12 EDT
> As there's only one fw device, they should all be in
> sequential acquire/release order.

Sometimes a device goes away, upper layers keep using it (without a lot of
success), device comes back, is added as a new SCSI device.

> I didn't include #12, as it was pretty much the same spew as #11.   I just
> wanted to test again to be sure I could reproduce it on demand.

OK.  This means the SCSI stack is continuing to do IO to a Scsi_Host which has
been removed.  Or my fw-sbp2 source differs from yours in that point.  Either
one appears unlikely to me.
Comment 14 Stefan Richter 2008-04-24 17:01:30 EDT
> Sometimes a device goes away, upper layers keep using it (without a lot of
> success), device comes back, is added as a new SCSI device.

...before the former device had been released.

(But as you said, that's apparently not what happened in your case.)
Comment 15 Jarod Wilson 2008-04-30 23:06:04 EDT
Had a chance to briefly prod the reader and card... Yep, its an identical reader
as the one we've got in the office, and I can reproduce the spew using both
davej's reader and the other one, only with the 4GB card. The 64MB card we've
got has no such problems with either reader. That's about as far as I got today...
Comment 16 Dave Jones 2008-05-01 08:27:33 EDT
For reference, this is the card in question:

http://www.amazon.com/SanDisk-Extreme-CompactFlash-Card-SDCFX4-4096-901/dp/B000HI4VHI
Comment 17 Bug Zapper 2008-05-14 05:22:01 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 18 Jarod Wilson 2008-06-09 14:25:18 EDT
Per IRC discussion, Dave will try the card out in a non-firewire card reader
under linux to see if the spew problem is outside firewire's realm.
Comment 19 Bug Zapper 2009-06-09 20:09:42 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 20 Jarod Wilson 2009-06-10 15:30:34 EDT
Moving this forward to F11, no reason to think its been fixed yet, but need to re-test to know for sure...
Comment 21 Bug Zapper 2009-07-14 14:03:02 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.